function AMP

addpath(genpath(cd));
scsze = get(0,'ScreenSize');
color = [0.831 0.816 0.784];

param.warncolor=[1 0.7 0.2];
height = 280;
length=430;
param.height=height;
param.length=length;

pos = [scsze(3)/2-length/2 scsze(4)/2-height/2 length height];

param.main = figure('Name','Language setting / Spracheinstellung','NumberTitle','off');
set(param.main,'MenuBar','none');
set(param.main,'Color', color);
set(param.main,'Position', pos);

param.caption = uicontrol('Style', 'text', 'String', 'Language setting / Spracheinstellung', 'FontSize', 12, 'FontWeight', 'bold', 'Position', [length/2 - 200 height-80 400 40], 'BackgroundColor',color);

param.txt_e1 = uicontrol('Style', 'text', 'HorizontalAlignment', 'left', 'String', 'Please choose', 'FontSize', 10, 'Position', [length/2-150 height-120 180 20], 'BackgroundColor',color);
param.txt_e2 = uicontrol('Style', 'text', 'HorizontalAlignment', 'left', 'String', 'a language:', 'FontSize', 10, 'Position', [length/2-150 height-150 180 20], 'BackgroundColor',color);

param.txt_d1 = uicontrol('Style', 'text',  'HorizontalAlignment', 'left', 'String', 'Bitte whlen Sie', 'FontSize', 10, 'Position', [length/2+30 height-120 180 20], 'BackgroundColor',color);
param.txt_d2 = uicontrol('Style', 'text',  'HorizontalAlignment', 'left', 'String', 'eine Sprache:', 'FontSize', 10, 'Position', [length/2+30 height-150 180 20], 'BackgroundColor',color);


param.e = uicontrol('Style', 'pushbutton', 'String', 'English', 'FontWeight', 'bold', 'FontSize', 10,'Position', [length/2 - 150 height-240 120 50], 'BackgroundColor',color,'Callback',@function_pb);
param.d = uicontrol('Style', 'pushbutton', 'String', 'Deutsch', 'FontWeight', 'bold', 'FontSize', 10,'Position', [length/2 + 30 height-240 120 50], 'BackgroundColor',color,'Callback',@function_pb);
guidata(param.main,param);

function function_pb(hObject, eventdata)
param=guidata(hObject);
if strcmp(get(hObject,'String'),'English')
    close(param.main);
    AMP_tests(0), % 0 is default: english
else
    close(param.main);
    AMP_tests(1)  % 1: deutsch
end